# Set TiDB Service Instance Parameters - SetTiDBConfig

## Overview

Set TiDB Service Instance Parameters






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `SetTiDBConfig`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Id** | string | Resource Id |**Yes**|
| **Configs.N.Name** | string | Modified parameter name: proxysql_mysql-max_connections: Type: string, Description: The maximum number of connections for all users.<br />proxysql_max_connections: Type: string, Description: The maximum number of connections per user.<br />tidb_gc: Type: string, Description: tikv_gc_life_time. |**Yes**|
| **Configs.N.Value** | string | Parameter value to be modified: string |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ServiceId** | string | ServiceId |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=SetTiDBConfig
&Region=cn-zj
&ProjectId=WnXXJMCv
&Id=JSYqhWJH
&Configs.N.Name=Ybdhjbyj
&Configs.N.Value=wYTrwYvk
```

### Response Example
    
```json
{
  "Action": "SetTiDBConfigResponse",
  "RetCode": 0,
  "ServiceId": "IVSXmDir"
}
```





